/*****************************************************************************\
  dj400ColorMaps.cpp : Color maps for DJ400

  Copyright (c) 1996 - 2001, Hewlett-Packard Co.
  All rights reserved.

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:
  1. Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in the
     documentation and/or other materials provided with the distribution.
  3. Neither the name of Hewlett-Packard nor the names of its
     contributors may be used to endorse or promote products derived
     from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
  NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
  TO, PATENT INFRINGEMENT; PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
  OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
  ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
\*****************************************************************************/

#include "CommonDefinitions.h"

uint32_t ulMapDJ400_K[ 9 * 9 * 9 ]=
// DJ400_K
    {
        200UL, 117UL, 116UL, 113UL, 108UL, 101UL, 94UL, 86UL, 79UL,
        114UL, 114UL, 112UL, 109UL, 104UL, 99UL, 91UL, 84UL, 77UL,
        100UL, 100UL, 99UL, 96UL, 92UL, 87UL, 83UL, 77UL, 70UL,
        81UL, 81UL, 80UL, 78UL, 76UL, 72UL, 68UL, 62UL, 57UL,
        57UL, 57UL, 57UL, 56UL, 55UL, 53UL, 51UL, 49UL, 47UL,
        45UL, 44UL, 44UL, 44UL, 43UL, 42UL, 41UL, 40UL, 38UL,
        32UL, 32UL, 32UL, 32UL, 32UL, 31UL, 30UL, 29UL, 27UL,
        21UL, 21UL, 21UL, 21UL, 21UL, 20UL, 19UL, 18UL, 17UL,
        11UL, 11UL, 11UL, 10UL, 10UL, 10UL, 9UL, 9UL, 8UL,
        116UL, 116UL, 115UL, 112UL, 107UL, 100UL, 93UL, 85UL, 79UL,
        113UL, 113UL, 111UL, 108UL, 103UL, 98UL, 90UL, 84UL, 77UL,
        100UL, 99UL, 98UL, 95UL, 91UL, 87UL, 83UL, 76UL, 69UL,
        80UL, 80UL, 79UL, 78UL, 75UL, 72UL, 68UL, 61UL, 56UL,
        57UL, 57UL, 57UL, 56UL, 55UL, 53UL, 51UL, 49UL, 47UL,
        44UL, 44UL, 44UL, 44UL, 43UL, 42UL, 41UL, 39UL, 37UL,
        32UL, 32UL, 32UL, 32UL, 32UL, 31UL, 30UL, 28UL, 27UL,
        21UL, 21UL, 21UL, 21UL, 20UL, 20UL, 19UL, 18UL, 17UL,
        11UL, 11UL, 11UL, 10UL, 10UL, 9UL, 9UL, 9UL, 8UL,
        112UL, 112UL, 110UL, 107UL, 103UL, 97UL, 90UL, 84UL, 76UL,
        109UL, 108UL, 107UL, 104UL, 100UL, 94UL, 88UL, 82UL, 75UL,
        96UL, 96UL, 94UL, 92UL, 88UL, 84UL, 80UL, 74UL, 68UL,
        78UL, 78UL, 77UL, 75UL, 73UL, 70UL, 66UL, 59UL, 55UL,
        56UL, 56UL, 56UL, 55UL, 54UL, 52UL, 50UL, 48UL, 46UL,
        44UL, 44UL, 43UL, 43UL, 42UL, 41UL, 40UL, 39UL, 37UL,
        32UL, 32UL, 32UL, 32UL, 31UL, 30UL, 29UL, 28UL, 27UL,
        21UL, 21UL, 21UL, 20UL, 20UL, 19UL, 19UL, 18UL, 17UL,
        10UL, 10UL, 10UL, 10UL, 10UL, 9UL, 9UL, 8UL, 8UL,
        103UL, 103UL, 102UL, 100UL, 95UL, 90UL, 84UL, 79UL, 72UL,
        100UL, 100UL, 99UL, 97UL, 92UL, 88UL, 83UL, 77UL, 70UL,
        89UL, 89UL, 88UL, 86UL, 84UL, 80UL, 76UL, 70UL, 63UL,
        73UL, 73UL, 72UL, 71UL, 69UL, 66UL, 60UL, 56UL, 53UL,
        54UL, 54UL, 53UL, 53UL, 51UL, 50UL, 49UL, 47UL, 45UL,
        42UL, 42UL, 42UL, 42UL, 41UL, 40UL, 39UL, 38UL, 36UL,
        31UL, 31UL, 31UL, 30UL, 30UL, 29UL, 28UL, 27UL, 26UL,
        20UL, 20UL, 20UL, 20UL, 19UL, 19UL, 18UL, 17UL, 16UL,
        10UL, 10UL, 10UL, 9UL, 9UL, 9UL, 9UL, 8UL, 8UL,
        91UL, 91UL, 90UL, 88UL, 85UL, 83UL, 78UL, 72UL, 65UL,
        89UL, 89UL, 88UL, 86UL, 84UL, 81UL, 76UL, 70UL, 63UL,
        82UL, 81UL, 81UL, 79UL, 76UL, 73UL, 68UL, 63UL, 57UL,
        67UL, 67UL, 66UL, 64UL, 61UL, 58UL, 56UL, 53UL, 50UL,
        51UL, 50UL, 50UL, 50UL, 49UL, 48UL, 47UL, 45UL, 43UL,
        40UL, 40UL, 40UL, 40UL, 39UL, 38UL, 37UL, 36UL, 34UL,
        29UL, 29UL, 29UL, 29UL, 28UL, 28UL, 27UL, 26UL, 24UL,
        19UL, 19UL, 19UL, 18UL, 18UL, 18UL, 17UL, 16UL, 15UL,
        9UL, 9UL, 9UL, 9UL, 9UL, 8UL, 8UL, 8UL, 7UL,
        81UL, 80UL, 80UL, 78UL, 75UL, 72UL, 68UL, 62UL, 56UL,
        79UL, 78UL, 78UL, 76UL, 74UL, 70UL, 67UL, 59UL, 56UL,
        71UL, 71UL, 70UL, 69UL, 67UL, 63UL, 58UL, 56UL, 52UL,
        57UL, 57UL, 57UL, 56UL, 55UL, 53UL, 51UL, 49UL, 47UL,
        48UL, 48UL, 47UL, 47UL, 46UL, 45UL, 44UL, 42UL, 40UL,
        38UL, 38UL, 38UL, 37UL, 37UL, 36UL, 34UL, 33UL, 32UL,
        27UL, 27UL, 27UL, 27UL, 26UL, 26UL, 25UL, 24UL, 23UL,
        17UL, 17UL, 17UL, 17UL, 16UL, 16UL, 15UL, 15UL, 14UL,
        8UL, 8UL, 8UL, 8UL, 8UL, 8UL, 8UL, 7UL, 7UL,
        68UL, 68UL, 67UL, 65UL, 62UL, 59UL, 56UL, 53UL, 50UL,
        66UL, 66UL, 65UL, 63UL, 60UL, 58UL, 56UL, 52UL, 50UL,
        58UL, 58UL, 58UL, 57UL, 56UL, 54UL, 51UL, 49UL, 48UL,
        51UL, 51UL, 50UL, 50UL, 49UL, 48UL, 47UL, 45UL, 43UL,
        43UL, 43UL, 43UL, 43UL, 42UL, 41UL, 40UL, 38UL, 37UL,
        34UL, 34UL, 34UL, 34UL, 33UL, 32UL, 31UL, 30UL, 29UL,
        25UL, 25UL, 24UL, 24UL, 24UL, 23UL, 23UL, 22UL, 20UL,
        15UL, 15UL, 15UL, 15UL, 15UL, 14UL, 14UL, 13UL, 12UL,
        8UL, 8UL, 8UL, 7UL, 7UL, 7UL, 7UL, 7UL, 7UL,
        54UL, 54UL, 54UL, 53UL, 52UL, 50UL, 49UL, 47UL, 45UL,
        53UL, 53UL, 53UL, 52UL, 51UL, 50UL, 48UL, 47UL, 45UL,
        50UL, 50UL, 50UL, 49UL, 48UL, 48UL, 46UL, 44UL, 42UL,
        46UL, 46UL, 45UL, 45UL, 44UL, 43UL, 42UL, 40UL, 38UL,
        39UL, 39UL, 39UL, 38UL, 38UL, 37UL, 35UL, 34UL, 32UL,
        30UL, 30UL, 30UL, 30UL, 29UL, 29UL, 28UL, 27UL, 25UL,
        22UL, 22UL, 22UL, 21UL, 21UL, 20UL, 19UL, 19UL, 17UL,
        13UL, 13UL, 13UL, 13UL, 12UL, 12UL, 11UL, 10UL, 9UL,
        7UL, 7UL, 7UL, 7UL, 7UL, 7UL, 6UL, 6UL, 6UL,
        47UL, 47UL, 46UL, 46UL, 45UL, 44UL, 43UL, 41UL, 39UL,
        46UL, 46UL, 46UL, 45UL, 45UL, 44UL, 42UL, 40UL, 39UL,
        44UL, 44UL, 44UL, 43UL, 42UL, 41UL, 40UL, 39UL, 37UL,
        40UL, 40UL, 40UL, 39UL, 38UL, 38UL, 36UL, 35UL, 33UL,
        33UL, 33UL, 33UL, 33UL, 32UL, 32UL, 31UL, 29UL, 28UL,
        26UL, 26UL, 26UL, 26UL, 25UL, 24UL, 24UL, 23UL, 22UL,
        18UL, 18UL, 18UL, 18UL, 17UL, 17UL, 16UL, 15UL, 15UL,
        10UL, 10UL, 10UL, 10UL, 9UL, 9UL, 9UL, 8UL, 8UL,
        6UL, 6UL, 6UL, 6UL, 6UL, 6UL, 5UL, 5UL, 0
    };
unsigned long ulMapDJ400_CMY[ 9 * 9 * 9 ]=
    // DJ400_CMY
    {
        3033033472UL, 2142592512UL, 1689278976UL, 1235967232UL, 849175296UL, 545942272UL, 326726144UL, 174816000UL, 6063616UL,
        3347731712UL, 2257149952UL, 1653892352UL, 1184065536UL, 797273344UL, 511079680UL, 325680384UL, 156927488UL, 5082624UL,
        3361952256UL, 2540068864UL, 1701340672UL, 1164800768UL, 778663680UL, 509509376UL, 307332352UL, 122064640UL, 4232960UL,
        3191886592UL, 2621923072UL, 1783131392UL, 1162376448UL, 759725312UL, 474055680UL, 255495168UL, 104175360UL, 3317504UL,
        2988921856UL, 2486001920UL, 1747938304UL, 1143961856UL, 690716160UL, 439126272UL, 237605120UL, 86416640UL, 2466816UL,
        2853656832UL, 2317051648UL, 1696429056UL, 1126072320UL, 723289856UL, 421170432UL, 236557824UL, 85631488UL, 1812224UL,
        2819318272UL, 2282647552UL, 1678736896UL, 1141934336UL, 739217408UL, 454006272UL, 218995456UL, 84911616UL, 1289472UL,
        2869193984UL, 2282061056UL, 1694927872UL, 1158058752UL, 772184832UL, 470196736UL, 268805888UL, 84258048UL, 701696UL,
        2969598208UL, 2264958976UL, 1694537216UL, 1208000000UL, 838903040UL, 553692160UL, 318813184UL, 134265344UL, 48640UL,
        3384753408UL, 2495429888UL, 1740324096UL, 1203456512UL, 800346368UL, 548035328UL, 329016576UL, 159936256UL, 7632896UL,
        3514842112UL, 2257605888UL, 1905609728UL, 1469533184UL, 1016090368UL, 679826432UL, 410606336UL, 208298496UL, 6123520UL,
        3529129728UL, 2607498496UL, 1802129152UL, 1366250496UL, 1030705920UL, 677992960UL, 425484032UL, 223503872UL, 4748288UL,
        3325706240UL, 2605270272UL, 1967934720UL, 1364153856UL, 1012029952UL, 676225024UL, 407332096UL, 205417216UL, 3767552UL,
        3139780864UL, 2419016960UL, 1899186944UL, 1362580480UL, 943217408UL, 641229568UL, 372467968UL, 170815488UL, 2851328UL,
        3038070272UL, 2317109248UL, 1797214208UL, 1310873600UL, 908353536UL, 572810752UL, 354774528UL, 153121792UL, 1999872UL,
        3054128640UL, 2249149952UL, 1729123840UL, 1276272128UL, 890529280UL, 588606208UL, 320171776UL, 152401408UL, 1410560UL,
        3137558528UL, 2164610048UL, 1644518656UL, 1258644992UL, 906456064UL, 604532736UL, 336163840UL, 118061056UL, 756224UL,
        3154141440UL, 2164284416UL, 1593860352UL, 1258318080UL, 956330752UL, 654342144UL, 385907968UL, 167805952UL, 36864UL,
        3485149696UL, 2613324544UL, 1791372544UL, 1170681856UL, 784611840UL, 532562176UL, 330779904UL, 145381888UL, 9593856UL,
        3632671488UL, 2744465152UL, 2107259136UL, 1503278848UL, 1016413440UL, 680280064UL, 411256320UL, 225988352UL, 7166976UL,
        3629459968UL, 2725000704UL, 1852588544UL, 1466908416UL, 1097810176UL, 745292544UL, 459425536UL, 240733184UL, 5396736UL,
        3426168320UL, 2638754816UL, 2051815936UL, 1397507072UL, 1045383168UL, 726550272UL, 441011200UL, 239292672UL, 4153344UL,
        3257085952UL, 2536388096UL, 1983068672UL, 1395933440UL, 976635648UL, 691620352UL, 422924288UL, 204559616UL, 3106304UL,
        3205772032UL, 2468099840UL, 1897872128UL, 1394688256UL, 1008944896UL, 639912960UL, 405099264UL, 170023424UL, 2189824UL,
        3272292096UL, 2416851712UL, 1812938496UL, 1360020736UL, 991120640UL, 655708672UL, 353654272UL, 135617280UL, 1403648UL,
        3372433152UL, 2365865984UL, 1728267008UL, 1258375168UL, 956518400UL, 637883904UL, 352803072UL, 101080320UL, 748288UL,
        3321907200UL, 2348828160UL, 1694516992UL, 1275087104UL, 1006653696UL, 721443072UL, 436231168UL, 201351424UL, 27648UL,
        3501530368UL, 2663783936UL, 1842093824UL, 1204494592UL, 768091136UL, 499591680UL, 298136064UL, 130235904UL, 11618816UL,
        3682868480UL, 2760910336UL, 2090346752UL, 1503275520UL, 999959040UL, 647245824UL, 395129600UL, 193214976UL, 8472064UL,
        3646299392UL, 2775197696UL, 2121280768UL, 1584541696UL, 1098067712UL, 745616384UL, 459748608UL, 241252864UL, 6177792UL,
        3459652864UL, 2655528704UL, 2085432832UL, 1330395904UL, 1045313536UL, 760232192UL, 491534336UL, 256392192UL, 4408320UL,
        3340902656UL, 2569873152UL, 2050108672UL, 1463038464UL, 993277696UL, 708393728UL, 456473344UL, 255082240UL, 3361536UL,
        3323208704UL, 2568694528UL, 1998532096UL, 1461727488UL, 1025652480UL, 690240256UL, 438582784UL, 220480512UL, 2380288UL,
        3389662976UL, 2584685824UL, 1947217920UL, 1460745216UL, 1058224128UL, 722746624UL, 420757504UL, 185943808UL, 1528576UL,
        3523423232UL, 2584031488UL, 1879323648UL, 1375877120UL, 1023621888UL, 721764352UL, 403129344UL, 134694656UL, 742144UL,
        3456119552UL, 2550150912UL, 1879062784UL, 1392523776UL, 1073757696UL, 788546304UL, 503334400UL, 234900224UL, 21248UL,
        3534689024UL, 2613253120UL, 1791694080UL, 1154028800UL, 734467584UL, 449321216UL, 264969728UL, 114107904UL, 13185536UL,
        3648787200UL, 2726959616UL, 2023037952UL, 1453137408UL, 983375616UL, 630792192UL, 378741760UL, 176891904UL, 9580800UL,
        3646034944UL, 2791644160UL, 2121080832UL, 1584603648UL, 1131815680UL, 729097216UL, 443492096UL, 208153344UL, 7025152UL,
        3560248320UL, 2739150080UL, 2135826944UL, 1582310912UL, 1112615168UL, 760424704UL, 491924224UL, 256716288UL, 4993792UL,
        3441497088UL, 2603358976UL, 2083594496UL, 1547052288UL, 993472256UL, 742010112UL, 490221056UL, 271986432UL, 3552512UL,
        3407025920UL, 2652577536UL, 2099258112UL, 1545676288UL, 1092823296UL, 673393664UL, 438579200UL, 254095872UL, 2505728UL,
        3540654592UL, 2702123264UL, 2098275584UL, 1544759296UL, 1108617984UL, 739520000UL, 437530624UL, 202716416UL, 1523712UL,
        3758300672UL, 2785420032UL, 2030446336UL, 1510222336UL, 1107635456UL, 772091904UL, 453391104UL, 168244736UL, 672000UL,
        3640665088UL, 2751473664UL, 2046831360UL, 1526738432UL, 1157640448UL, 838873856UL, 570439424UL, 285227264UL, 16384UL,
        3601533696UL, 2613251072UL, 1741491200UL, 1120734208UL, 717818880UL, 432540672UL, 231608320UL, 97916416UL, 14295040UL,
        3732278016UL, 2709852416UL, 1989088000UL, 1419252736UL, 949753088UL, 630854656UL, 362223104UL, 160766208UL, 10493440UL,
        3763211264UL, 2841645568UL, 2103973376UL, 1534072832UL, 1081546752UL, 729225216UL, 427104768UL, 191765504UL, 7676160UL,
        3744730112UL, 2839614208UL, 2186024960UL, 1582308096UL, 1146362880UL, 777395200UL, 492182528UL, 240328448UL, 5645312UL,
        3659599104UL, 2771194624UL, 2184452096UL, 1597446912UL, 1127882496UL, 758915072UL, 490414080UL, 272179968UL, 4007168UL,
        3591572480UL, 2719748608UL, 2166429696UL, 1596070400UL, 1092820480UL, 656744960UL, 438706944UL, 271066112UL, 2697216UL,
        3708424192UL, 2819560960UL, 2215778816UL, 1662262528UL, 1159012352UL, 739648000UL, 437527040UL, 236398080UL, 1649920UL,
        3976401920UL, 2953189376UL, 2215058176UL, 1644568320UL, 1174872320UL, 805708544UL, 503850240UL, 218638080UL, 667136UL,
        3925874688UL, 3019906048UL, 2248154624UL, 1677730304UL, 1241523200UL, 905979392UL, 603990016UL, 318777856UL, 12032UL,
        3702457600UL, 2647393536UL, 1725302016UL, 1104741632UL, 718669056UL, 433325568UL, 232064256UL, 65079808UL, 15274496UL,
        3849651456UL, 2726496768UL, 1955465984UL, 1385761536UL, 949947136UL, 647957248UL, 379390720UL, 178064640UL, 11211264UL,
        3964339456UL, 2975664640UL, 2120551680UL, 1517227520UL, 1081609728UL, 746262272UL, 444206592UL, 209063680UL, 8196864UL,
        4013098496UL, 3040938752UL, 2253000192UL, 1615925248UL, 1180111104UL, 827986432UL, 509219328UL, 240718336UL, 6231296UL,
        3978429952UL, 3056405248UL, 2352221952UL, 1681461504UL, 1195054080UL, 809309696UL, 524162304UL, 272504320UL, 4462336UL,
        3927180544UL, 3021802240UL, 2367950592UL, 1697059328UL, 1193874688UL, 740824832UL, 455677696UL, 271325440UL, 3086592UL,
        3943237120UL, 3004172800UL, 2350058752UL, 1729433856UL, 1209471744UL, 739710208UL, 387389184UL, 253368576UL, 1842176UL,
        4110617344UL, 3137735936UL, 2399670272UL, 1778979328UL, 1258952192UL, 839456512UL, 520755200UL, 235543040UL, 794112UL,
        4143976192UL, 3271561472UL, 2449478400UL, 1828721920UL, 1325406208UL, 956307968UL, 637541120UL, 335551232UL, 7936UL,
        3820355840UL, 2748907520UL, 1776812032UL, 1156448256UL, 770441216UL, 485031936UL, 249888768UL, 49021184UL, 16058368UL,
        3983999232UL, 2777023232UL, 1972700160UL, 1403061248UL, 984089600UL, 665519104UL, 413795328UL, 195757056UL, 12257024UL,
        4081844480UL, 3126658048UL, 2187789568UL, 1584596224UL, 1132267008UL, 796919296UL, 511772160UL, 260113664UL, 9111296UL,
        4130668800UL, 3275949056UL, 2454324736UL, 1767048960UL, 1247545088UL, 878774272UL, 576980992UL, 274990848UL, 6948608UL,
        4163043584UL, 3324969984UL, 2587297280UL, 1866139392UL, 1312819712UL, 910363392UL, 608570112UL, 306645504UL, 5048576UL,
        4162322944UL, 3357475840UL, 2653292288UL, 1948911616UL, 1378683392UL, 892144640UL, 573508864UL, 288361216UL, 3607296UL,
        4178379264UL, 3356689408UL, 2652309248UL, 1981417472UL, 1411123968UL, 907807744UL, 521932288UL, 253627648UL, 2231552UL,
        4211343872UL, 3355902976UL, 2601059840UL, 1930037248UL, 1393297664UL, 906758656UL, 554437376UL, 235802112UL, 986624UL,
        4227860224UL, 3489662720UL, 2684356608UL, 2046822656UL, 1493175040UL, 1040190720UL, 671092224UL, 352325120UL, 3840UL,
        3870818304UL, 2849505280UL, 1961689088UL, 1307836416UL, 888471552UL, 619642880UL, 367984640UL, 184025088UL, 16711680UL,
        4001234944UL, 3096772608UL, 2242772992UL, 1555890176UL, 1086521344UL, 734396416UL, 482869248UL, 248119296UL, 13303808UL,
        4099014656UL, 3446079488UL, 2541289472UL, 1804009472UL, 1251147776UL, 865730560UL, 580714496UL, 312279040UL, 10420224UL,
        4147707904UL, 3695706112UL, 2891251712UL, 2053111808UL, 1433010176UL, 1014038528UL, 678821888UL, 360185856UL, 8060928UL,
        4180213760UL, 3878813696UL, 3158114304UL, 2319777792UL, 1632305152UL, 1112604672UL, 727187456UL, 375062528UL, 6029312UL,
        4196139008UL, 3995271168UL, 3257532416UL, 2469396480UL, 1765081088UL, 1194917888UL, 758906880UL, 373227520UL, 4325376UL,
        4229038080UL, 3977576448UL, 3273261056UL, 2552168448UL, 1847721984UL, 1277427712UL, 790953984UL, 388431872UL, 2752512UL,
        4245159936UL, 3960078336UL, 3222077440UL, 2500788224UL, 1829765120UL, 1259470848UL, 806486016UL, 387055616UL, 1376256UL,
        4278190080UL, 3774873600UL, 3103784960UL, 2382364672UL, 1744830464UL, 1241513984UL, 805306368UL, 419430400UL, 0
    };

